
<CsoundSynthesizer>

<CsInstruments>

        sr=44100
        kr=22050
        ksmps = 2
        nchnls = 2

; eq
	instr 1
	ilogain  =		0.5			; Low Gain
	imidgain = 	-0.3			; Midrange Gain
	ihigain  =    	0.2			; High Gain
	ilofco   =     	500			; Low frequency cut-off
	ihifco   =     	5000		; High frequency cut-off
	iloshft  =       0.1			;p9/1000  ; Low phase shift
	imidshft =     0.1  		;p10/1000 ; Mid phase shift
	ihishft  =       0.1			;p11/1000 ; High phase shift

	asig, asig2 ins				; Read from input channel

	alosig  butterlp asig, ilofco+ilofco/4    		; Low pass filter overlap a bit
	atmpsig butterhp asig, ilofco-ilofco/4   		; High pass at low frequency cut-off
	amidsig butterlp atmpsig, ihifco+ihifco/4 	; then low pass at high frequency cut-off
	ahisig  butterhp asig, ihifco-ihifco/4    		; Hi pass filter

	alodel  delayr   iloshft                  				; Low frequency delay
			delayw   alosig
	amiddel delayr   imidshft                 			; Midrange delay
			delayw   amidsig
	ahidel  delayr   ihishft                  				; High frequency delay
			delayw   ahisig

	aout    =        ilogain*alodel+imidgain*amiddel+ihigain*ahidel		; Apply gain and reconstruct signal

	alosig2  butterlp asig2, ilofco+ilofco/4											; Low pass filter overlap a bit
	atmpsig2 butterhp asig2, ilofco-ilofco/4											; High pass at low frequency cut-off
	amidsig2 butterlp atmpsig2, ihifco+ihifco/4									; then low pass at high frequency cut-off
	ahisig2  butterhp asig2, ihifco-ihifco/4											; Hi pass filter

	alodel2  delayr   iloshft								; Low frequency delay
			delayw   alosig2
	amiddel2 delayr   imidshft						; Midrange delay
			delayw   amidsig2
	ahidel2  delayr   ihishft								; High frequency delay
			delayw   ahisig2

	aout2    =        ilogain*alodel2+imidgain*amiddel2+ihigain*ahidel2	; Apply gain and reconstruct signal

	outs aout, aout2			; Write to output channel
endin

</CsInstruments>

<CsScore>

i1	0	3600
e

</CsScore>

</CsoundSynthesizer>
